kind: pipeline
type: docker
name: .net sonar

steps:
  - name: .Net-SonarScanner
    image: mcr.microsoft.com/dotnet/framework/sdk:4.8-3.5
    commands:
      - export PATH="$PATH:/root/.dotnet/tools"
      - dotnet tool install --global dotnet-sonarscanner

      - dotnet sonarscanner begin /k:"narKampen" /d:sonar.host.url="http://nordh.xyz:9088"  /d:sonar.login="60ee04e339236ab586302b761e38f7c9b1ea8d99"
      - dotnet build
      - dotnet sonarscanner end /d:sonar.login="60ee04e339236ab586302b761e38f7c9b1ea8d99"
